{
  "content_security_policy": {
    "extension_pages": "default-src 'self'; script-src 'self' 'wasm-unsafe-eval'; connect-src * data:; font-src * data:; frame-src *; img-src * data:; style-src-elem * 'unsafe-inline'; style-src 'self' 'unsafe-inline'; "
  },
  "name": "Superhero Wallet",
  "description": "Superhero Wallet is a multi-blockchain wallet to manage crypto assets and navigate the web3 and DeFi space.",
  "manifest_version": 3,
  "permissions": [
    "storage",
    "scripting",
    "unlimitedStorage",
    "activeTab",
    "tabs",
    "declarativeNetRequestWithHostAccess"
  ],
  "optional_permissions": [
    "clipboardWrite"
  ],
  "host_permissions": [
    "https://wallet.superhero.com/*",
    "file://*/*",
    "http://*/*",
    "https://*/*"
  ],
  "icons": {
    "48": "icons/icon_48.png",
    "128": "icons/icon_128.png"
  },
  "action": {
    "default_title": "Superhero Wallet",
    "default_popup": "index.html"
  },
  "background": {
    "page": "/offscreen.html"
  },
  "content_scripts": [
    {
      "run_at": "document_start",
      "all_frames": true,
      "matches": [
        "https://*/*",
        "http://*/*"
      ],
      "js": [
        "js/inject.js"
      ]
    }
  ],
  "web_accessible_resources": [
    {
      "resources": [
        "/index.html"
      ],
      "matches": [
        "<all_urls>"
      ]
    },
    {
      "resources": [
        "CameraRequestPermission.html",
        "index.html"
      ],
      "matches": [
        "https://wallet.superhero.com/*"
      ]
    },
    {
      "resources": [
        "js/inject.js",
        "js/inpage.js"
      ],
      "matches": [
        "*://*/*"
      ]
    }
  ],
  "externally_connectable": {
    "matches": [
      "https://wallet.superhero.com/*"
    ],
    "ids": [
      "*"
    ]
  },
  "sidebar_action": {
    "default_title": "Superhero Wallet",
    "default_panel": "index.html",
    "default_icon": "icons/icon_128.png"
  },
  "version": "2.9.2",
  "browser_specific_settings": {
    "gecko": {
      "id": "{aee9e933-52b6-410a-8c3f-99c6be596b4e}"
    }
  }
}